% File with general header information.
% Like all the packages that we need to include and very common commands
% that we use.
\input{inc/header.tex}

% File with "general commands". Those are commands  and environments
% that we find useful throughout many papers (and other kinds of documents).
\input{inc/generalCommands.tex}

% File with "specific commands". Those are commands that may be rather
% specific to the current document (like shortcuts to some notation).
\input{inc/specificCommands.tex}

% Start of the actual document.
\begin{document}
  \selectlanguage{english}
  
  \begin{center}
    \huge Notes on the disputation talk ``Extensive form game abstraction with error bounds''
  \end{center}
  
  \section{Preliminaries and general strategy}
    The talk should be 30~minutes long.
    There will be a 15~minutes discussion afterwards.
    With a little stretching it should be possible to get into the direction of 35~minutes, which would in conclusion bring the question time to closer to 10~minutes.
    
    Therefore, the plan is to prepare a 35~minute talk which could be held in 32~minutes.
    For every slide I should think about potential questions that may arise, and some slides should even suggest certain questions, if possible.
    Associated to these questions I would ideally be able to tell a story with extended information, which then should easily kill of those 10-15~minutes off question time.
    
  \section{Definition of scope}
    The intended scope of the talk is on introducing the topic of extensive form game abstraction together with its approximation properties.
    If time permits, the scope might be extended to also introduce and discuss relevant methods for generating and solving abstracted games.
    In any case, the extended scope should be prepared in view of the plan to tell an extended story during the question session.
    
  \section{Outline}
    \begin{enumerate}
      \item What does ``game abstraction'' mean and why is it interesting? Example: Texas hold-em no-limit poker and libratus.
      \item A subclass of extensive form games
      \item Optimality concepts: Non-trembling and trembling nash equilibria
      \item Abstraction framework
      \item Construction of abstractions
      \item Proof of bounded loss
    \end{enumerate}
    
  \section{Motivation slide}
    Consider pictures/captions from the links:
    \begin{itemize}
      \item https://www.bbc.com/news/technology-39564836 ``AI wins \$290,000 in Chinese poker competition''
      \item https://www.engadget.com/2017/02/10/libratus-ai-poker-winner/ ``How an AI took down four world-class poker pros''
    \end{itemize}

    What these news articles tell is the story of two different competitions from 2017 where a poker AI called \emph{Libratus} was able to consistently outperform top players at the game \emph{no-limit Texas Hold'em} when playing in a 1-versus-1 heads-on setting.
    
    While artificial intelligence has made huge advancements in game solving in the past few years, especially thinking of Google's success with the neural-network based AlphaGo AI from 2015, this result one could say is of particular interest, not only because one can make a lot of money with online poker, but because it concerns a rather different game type, namely so-called \emph{games of imperfect information}.
    That is, unlike games like chess and go where the player always knows everything about the current state of the game, poker is a textbook example for a game where not all information is shared.
    In this case of course that would be each player's hand, which is not known to any other player.
    And it is also exactly such ``games'' of imperfect information that are of particular interest in many real-world applications.
    \TK{TODO: Name some of those.}
    
    Interestingly, it seems to be the case that -- at least up to now -- the classical neural-network based approaches for games face comparatively severe challenges with imperfect information, although they have now proven numerous times to be rather successful in perfect-information settings.
  
    So, what does that AI Libratus do differently?
    
    \TK{TODO: Find way to transition to actual topic. Will have to mention the topic of game theory and the issue of game size.}
    
    Next to a variety of ``smart'' solving techniques, an integral component of game solving is game abstraction.
    \TK{(This concept could be visualized using a simple picture like in Sandholm's papers.)}
    Our goal in the next 25-ish minutes will be to learn about game abstraction in more detail and understand more of its approximation properties.
    
  \section{(Simplified) Extensive Form Games}
    \TK{TODO}
    
    
  \section{Boxroom}
    From: Gibbons, ``A primer in Game theory.'' Page 118.
    Given these strategy spaces for the two players, it is straightfor-
    ward to derive the normal-form representation of the game from
    its extensive-form representation. Label the rows of the normal
    form with player l's feasible strategies, label the columns with
    player 2's feasible strategies, and compute the payoffs to the play-
    ers for each possible combination of strategies, as shown in Fig-
    ure 2.4.2.
    
    Note: Fudenberg's book gives a relatively good explanation of perfect-recall issues.
    Also is maybe even better for the derivation fo a normal-form representation.
    (Called strategic form there, I guess.)
    

\end{document}

